Subject: Re: bug#21934: 24.5; find-tag: reading TAGS file incorrectly

From: Andreas Matthias <[email-masked]>
Date: Mon, 23 Nov 2015 17:50:40 +0100

Eli Zaretskii wrote:

>> From: Andreas Matthias <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>> Date: Sun, 22 Nov 2015 18:49:32 +0100
>> 
>> >> Can there be
>> >> more than one of these in a token, and if so, what should etags do?
>> >> IOW, if we have foo.bar.baz or foo:bar.baz etc., what should be the
>> >> result?
>> >
>> > Just two, I think. foo.bar is not a function, and bar.baz probably won't be a
>> > "symbol at point".
>> >
>> > So just the fully qualified tag name, and the local tag name ("baz").
>> 
>> Yes, that's reasonable.
>
> I'm sorry: can I have a complete specification, please?  Given a
> token that includes one or more of '.' and ':', how to determine the 2
> tags that etags should produce?

See `funcname' in:

http://www.lua.org/manual/5.3/manual.html#9